Send feedback
Method: projects.reserveIds
Stay organized with collections
Save and categorize content based on your preferences.
Prevents the supplied keys' IDs from being auto-allocated by Cloud Datastore.
HTTP request
Choose a location:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 eu us
POST https://datastore.googleapis.com/v1/projects/{projectId}:reserveIds
The URLs use gRPC Transcoding syntax.
Path parameters
Parameters
projectId
string
Required. The ID of the project against which to make the request.
Request body
The request body contains data with the following structure:
JSON representation
{
"databaseId" : string ,
"keys" : [
{
object (Key )
}
]
}
Fields
databaseId
string
The ID of the database against which to make the request.
'(default)' is not allowed; please use empty string '' to refer the default database.
keys[]
object (Key )
Required. A list of keys with complete key paths whose numeric IDs should not be auto-allocated.
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/datastore
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview .
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-06 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-06 UTC."],[],[]]